<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imblobprop</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imblackhat.html">&lt;&lt; imblackhat</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imclose.html">imclose &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a> &gt; imblobprop</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imblobprop</h1>
    <p class="refpurpose">Calculate blobs properties from labeled image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">A</span><span class="default">, </span><span class="default">BB</span><span class="default">, </span><span class="default">ctr</span><span class="default">] = </span><span class="functionid">imblobprop</span><span class="default">(</span><span class="default">imin</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">A :</span>
      <dd><p class="para">Area of the blob</p></dd></dt>
   <dt><span class="term">BB :</span>
      <dd><p class="para">Bounding box for the blob</p></dd></dt>
   <dt><span class="term">ctr :</span>
      <dd><p class="para">Centroid of the blob</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function find components properties, for now, area and bounding box.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">A</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/coins_gray.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">A_edge</span> <span class="scilaboperator">=</span> <span class="scilabid">edge</span><span class="scilabopenclose">(</span><span class="scilabid">A</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">canny</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">se</span> <span class="scilaboperator">=</span> <span class="scilabid">imcreatese</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">ellipse</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">15</span><span class="scilabdefault">,</span><span class="scilabnumber">15</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">A_dilate</span> <span class="scilaboperator">=</span> <span class="scilabid">imdilate</span><span class="scilabopenclose">(</span><span class="scilabid">A_edge</span><span class="scilabdefault">,</span><span class="scilabid">se</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">A_labeled</span><span class="scilabdefault">,</span><span class="scilabid">n</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imlabel</span><span class="scilabopenclose">(</span><span class="scilabid">A_dilate</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">A_labeled</span><span class="scilabdefault">,</span><a class="scilabmacro" href="scilab://jetcolormap">jetcolormap</a><span class="scilabopenclose">(</span><span class="scilabid">n</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">Area</span><span class="scilabdefault">,</span> <span class="scilabid">BB</span><span class="scilabdefault">,</span> <span class="scilabid">ctr</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imblobprop</span><span class="scilabopenclose">(</span><span class="scilabid">A_labeled</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imrects</span><span class="scilabopenclose">(</span><span class="scilabid">BB</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">255</span><span class="scilabdefault">,</span><span class="scilabnumber">0</span><span class="scilabdefault">,</span><span class="scilabnumber">0</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imlabel.html" class="link">imlabel</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imblackhat.html">&lt;&lt; imblackhat</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imclose.html">imclose &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
